com.sun.syndication.io.impl

## Class RSS092Generator

- java.lang.Object
- - com.sun.syndication.io.impl.BaseWireFeedGenerator
  - - com.sun.syndication.io.impl.RSS090Generator
    - - com.sun.syndication.io.impl.RSS091UserlandGenerator
      - - com.sun.syndication.io.impl.RSS092Generator

All Implemented Interfaces:
  WireFeedGenerator

Direct Known Subclasses:
  RSS093Generator

    public class RSS092Generator
    extends RSS091UserlandGenerator

Feed Generator for RSS 0.92

### Constructor Summary

Constructors
`` `RSS092Generator()`
`protected` `RSS092Generator(java.lang.String type, java.lang.String version)`

### Method Summary

Methods
`protected void` `checkChannelConstraints(org.jdom.Element eChannel)`
`protected void` `checkImageConstraints(org.jdom.Element eImage)`
`protected void` `checkItemConstraints(org.jdom.Element eItem)`
`protected void` `checkItemsConstraints(org.jdom.Element parent)`
`protected void` `checkTextInputConstraints(org.jdom.Element eTextInput)`
`protected org.jdom.Element` `generateCategoryElement(Category category)`
`protected org.jdom.Element` `generateCloud(Cloud cloud)`
`protected org.jdom.Element` `generateEnclosure(Enclosure enclosure)`
`protected org.jdom.Element` `generateSourceElement(Source source)`
`protected int` `getNumberOfEnclosures(java.util.List enclosures)`
`protected void` `populateChannel(Channel channel, org.jdom.Element eChannel)` Populates the given channel with parsed data from the ROME element that holds the channel data.
`protected void` `populateItem(Item item, org.jdom.Element eItem, int index)`

### Methods inherited from class com.sun.syndication.io.impl.RSS091UserlandGenerator

`addChannel, createDocument, createRootElement, generateSkipDaysElement, generateSkipHoursElement, getFeedNamespace, getVersion, isHourFormat24, populateFeed, populateImage`

### Methods inherited from class com.sun.syndication.io.impl.RSS090Generator

`addImage, addItem, addItems, addTextInput, checkLength, checkNotNullAndLength, generate, generateSimpleElement, getContentNamespace, getRDFNamespace, getTextInputLabel, populateTextInput`

### Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedGenerator

`generateFeedModules, generateForeignMarkup, generateItemModules, generateModuleNamespaceDefs, generatePersonModules, getType, purgeUnusedNamespaceDeclarations`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSS092Generator

    public RSS092Generator()

#### RSS092Generator

    protected RSS092Generator(java.lang.String type,
                   java.lang.String version)

### Method Detail

#### populateChannel

    protected void populateChannel(Channel channel,
                       org.jdom.Element eChannel)

Description copied from class: `RSS090Generator`
Populates the given channel with parsed data from the ROME element that holds the channel data.

Overrides:
  `populateChannel` in class `RSS091UserlandGenerator`
Parameters:
  `channel` - the channel into which parsed data will be added.
  `eChannel` - the XML element that holds the data for the channel.

#### generateCloud

    protected org.jdom.Element generateCloud(Cloud cloud)

#### getNumberOfEnclosures

    protected int getNumberOfEnclosures(java.util.List enclosures)

#### populateItem

    protected void populateItem(Item item,
                    org.jdom.Element eItem,
                    int index)

Overrides:
  `populateItem` in class `RSS091UserlandGenerator`

#### generateSourceElement

    protected org.jdom.Element generateSourceElement(Source source)

#### generateEnclosure

    protected org.jdom.Element generateEnclosure(Enclosure enclosure)

#### generateCategoryElement

    protected org.jdom.Element generateCategoryElement(Category category)

#### checkChannelConstraints

    protected void checkChannelConstraints(org.jdom.Element eChannel)
                                    throws FeedException

Overrides:
  `checkChannelConstraints` in class `RSS091UserlandGenerator`
Throws:
  `FeedException`

#### checkImageConstraints

    protected void checkImageConstraints(org.jdom.Element eImage)
                                  throws FeedException

Overrides:
  `checkImageConstraints` in class `RSS091UserlandGenerator`
Throws:
  `FeedException`

#### checkTextInputConstraints

    protected void checkTextInputConstraints(org.jdom.Element eTextInput)
                                      throws FeedException

Overrides:
  `checkTextInputConstraints` in class `RSS091UserlandGenerator`
Throws:
  `FeedException`

#### checkItemsConstraints

    protected void checkItemsConstraints(org.jdom.Element parent)
                                  throws FeedException

Overrides:
  `checkItemsConstraints` in class `RSS090Generator`
Throws:
  `FeedException`

#### checkItemConstraints

    protected void checkItemConstraints(org.jdom.Element eItem)
                                 throws FeedException

Overrides:
  `checkItemConstraints` in class `RSS091UserlandGenerator`
Throws:
  `FeedException`